#!./tcldomsh

proc ReadFile { file var } {

    upvar $var v 
    set fd [open $file ]
    set v  [read $fd [file size $file]]
    close  $fd
}

proc printNode { node indent } {
    if {[$node nodeType] != "ELEMENT_NODE"} return
    puts stderr "$indent [$node nodeName] '[$node prefix]'([$node namespaceURI]):[$node localName] -[$node attributes]-"
    foreach child [$node childNodes] {
        printNode $child "    $indent" 
    }
}
proc printXML { doc } {

    set root [$doc documentElement]

    printNode $root " "
    puts stderr ""
}

proc XsltProcessor { xsltFile xmlFile outFile testName } {

    ReadFile $xsltFile xslt
    dom parse $xslt xsltDoc
    
  puts "$testName: [time {
    ReadFile $xmlFile xml
    dom parse $xml xmlDoc
 
    set root [$xmlDoc documentElement]
    $root xslt $xsltDoc resultDoc
 
    set fd [open $outFile w]
    puts $fd [[$resultDoc documentElement] asHTML]
    close $fd
  } 5]"
}

ReadFile test1.xsl xml
set xsltDoc [dom parse $xml] 

ReadFile test1.xml xml
set xmlDoc [dom parse $xml] 
set root   [$xmlDoc documentElement]

puts stderr "test1: [time {$root xslt $xsltDoc resultDoc} 10]"


ReadFile test2.xsl xml
set xsltDoc [dom parse $xml] 

ReadFile dream.xml xml
set xmlDoc [dom parse $xml] 
set root   [$xmlDoc documentElement]

puts stderr "test2: [time {$root xslt $xsltDoc resultDoc} 10]"


ReadFile test3.xsl xml
set xsltDoc [dom parse $xml] 

ReadFile dream.xml xml
set xmlDoc [dom parse $xml] 
set root   [$xmlDoc documentElement]

puts stderr "test3: [time {$root xslt $xsltDoc resultDoc} 10]"

XsltProcessor test1.xsl test1.xml test1.html Test1
XsltProcessor test2.xsl dream.xml test2.html Test2
XsltProcessor test3.xsl dream.xml test3.html Test3



