#!./tcldomsh

proc printNode { node indent } {
    if {[$node nodeType] != "ELEMENT_NODE"} return
    puts stderr "$indent [$node nodeName] '[$node prefix]'([$node namespaceURI]):[$node localName] -[$node attributes]-"
    foreach child [$node childNodes] {
        printNode $child "    $indent" 
    }
}
proc printXML { doc } {

    set root [$doc documentElement]

    printNode $root " "
    puts stderr ""
}

set xml {<?xml version="1.0"?>
<book title="Essential XML">
  <author name="Don"   age="25" canadian="false"/>
  <author name="Aaron" age="19" canadian="false"/>
  <author name="John"  age="20" canadian="true" />
</book>
}

set xmlDoc [dom parse $xml] 
set root [$xmlDoc documentElement]
puts [$root asXML]


if 1 {


set xsl {<?xml version="1.0"?>
<doc xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xsl:version="1.0">
  <xsl:for-each select="/book/author">
    <xsl:sort select="@name"/>
    <by><xsl:value-of select="@name"/></by>
  </xsl:for-each>
</doc>
}
set xsltDoc [dom parse $xsl] 
printXML $xsltDoc
puts stderr [time {$root xslt $xsltDoc resultDoc} 1]
set r [$resultDoc documentElement]
puts [$r asXML]


set xsl {<?xml version="1.0"?>
<doc xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xsl:version="1.0">
  <xsl:for-each select="/book/author">
    <xsl:sort select="@age" order="descending"/>
    <by><xsl:value-of select="@name"/></by>
  </xsl:for-each>
</doc>
}
set xsltDoc [dom parse $xsl] 
printXML $xsltDoc
puts stderr [time {$root xslt $xsltDoc resultDoc} 1]
set r [$resultDoc documentElement]
puts [$r asXML]


set xsl {<?xml version="1.0"?>
<doc xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xsl:version="1.0">
  <xsl:for-each select="/book/author">
    <xsl:sort select="@canadian" order="descending"/>
    <xsl:sort select="@name"/>
    <by><xsl:value-of select="@name"/></by>
  </xsl:for-each>
</doc>
}

set xsltDoc [dom parse $xsl] 
printXML $xsltDoc
puts stderr [time {$root xslt $xsltDoc resultDoc} 1]
set r [$resultDoc documentElement]
puts [$r asXML]



set xsl {<?xml version="1.0"?>
<doc xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
     xsl:version='1.0'>
  <xsl:for-each select='/book/author'>
    <by id='{position()}'>
      <xsl:value-of select='@name' />
    </by>
  </xsl:for-each>
</doc>
}

set xsltDoc [dom parse $xsl] 
printXML $xsltDoc
puts stderr [time {$root xslt $xsltDoc resultDoc} 1]
set r [$resultDoc documentElement]
puts [$r asXML]


set xsl {<?xml version="1.0"?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
  <xsl:template match='author' >
    <by><xsl:value-of select='@name' /></by>
  </xsl:template>
  <xsl:template match='book' >
    <doc><xsl:apply-templates /></doc>
  </xsl:template>
  <xsl:template match='/' >
    <xsl:apply-templates/>
  </xsl:template>
</xsl:stylesheet>
}

set xsltDoc [dom parse $xsl] 
printXML $xsltDoc
puts stderr [time {$root xslt $xsltDoc resultDoc} 1]
set r [$resultDoc documentElement]
puts [$r asXML]



set xsl {<?xml version='1.0' ?>
<!-- 

 fact.xsl

 if this code works, it was written by Don Box
 
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' 
        xmlns:xsd='http://www.w3.org/1999/XMLSchema' 
        version='1.0'
>
  <xsl:output method='text' />

  <xsl:param name='label' />
  <xsl:param name='num' select='5'/>

  <xsl:template name='fact' >
    <xsl:param name='n' />
    <xsl:param name='tally' select='1'/>
    <xsl:if test='$n > 0' >
      <xsl:call-template name='fact' >
        <xsl:with-param name='n' select='$n - 1' />
        <xsl:with-param name='tally' select='$n * $tally' />
      </xsl:call-template>
    </xsl:if>
    <xsl:if test='$n = 0' >
      <xsl:value-of select='$tally'/>
    </xsl:if>
  </xsl:template>

  <xsl:template match='/' >
    <xsl:value-of select='$label' />
    <xsl:text xml:space='preserve'> </xsl:text>
    <xsl:value-of select='$num' />
    <xsl:text>! = </xsl:text>
    <xsl:call-template name='fact' >
      <xsl:with-param name='n' select='$num' />
    </xsl:call-template>
  </xsl:template>

</xsl:stylesheet>
}

set xsltDoc [dom parse $xsl] 
#printXML $xsltDoc
puts stderr [time {$root xslt $xsltDoc resultDoc} 50 ]
set r [$resultDoc documentElement]
puts [$r asXML]
}

set xsl {<?xml version="1.0"?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
  <xsl:template name='fancy' >
    <xsl:param name='sAttName' select='bob' />
    <xsl:param name='bUseAttribute' select='true()' />
    <xsl:param name='sAttValue' />
    <bob>
      <xsl:if test='$bUseAttribute' >
        <xsl:attribute name='{$sAttName}'>
          <xsl:value-of select='$sAttValue' />
        </xsl:attribute>
      </xsl:if><x/>
    </bob>
  </xsl:template>

  <xsl:template match='/' >
    <xsl:call-template name='fancy' >
      <xsl:with-param name='sAttName'>myAttr</xsl:with-param>
      <xsl:with-param name='bUseAttribute' select='true()' />
      <xsl:with-param name='sAttValue'>Hi, XSLT</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
</xsl:stylesheet>
}

set xsltDoc [dom parse $xsl] 
printXML $xsltDoc
puts stderr [time {$root xslt $xsltDoc resultDoc} 1]
set r [$resultDoc documentElement]
puts [$r asXML]
